/*** Spinner Start ***/
/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

/* SCROLLBAR MODERN (Chrome, Edge, Safari) */
::-webkit-scrollbar {
    width: 5px;
    /* Lebar scrollbar vertical */
    height: 5px;
    /* Tinggi scrollbar horizontal */
}

.discount-badge {
    position: absolute;
    top: 0px;
    left: 0px;
    background: linear-gradient(135deg, #ff512f, #dd2476);
    color: #fff;
    padding: 10px 14px;
    border-radius: 11px 0px 10px 0px;
    text-align: center;
    font-weight: 600;
    box-shadow: 0 6px 15px rgba(0, 0, 0, .25);
    z-index: 5;
    animation: pulse 1.8s infinite;
}

.b {
    font-weight: bold;
}

.discount-badge span {
    font-size: 11px;
    display: block;
    letter-spacing: 1px;
    text-transform: uppercase;
    opacity: .9;
}

.discount-badge strong {
    font-size: 20px;
    line-height: 1;
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.05);
    }

    100% {
        transform: scale(1);
    }
}

.blog-img-inner {
    position: relative;
    /* max-height: 333px; */
}


.font-exo {
    font-family: Exo;
    font-display: swap;
}

.canvasjs-chart-credit {
    display: none;
}

::-webkit-scrollbar-track {
    background: #eef1f7;
    /* Background track */
    border-radius: 0px;
}

::-webkit-scrollbar-thumb {
    background: #13357B;
    /* Warna thumb */
    border-radius: 0px;
    border: 2px solid #e0e5f0;
    /* Membuat efek inset */
}

::-webkit-scrollbar-thumb:hover {
    background: #0d2c65;
    /* Warna saat hover */
}

/* --- FIREFOX --- */
html {
    scrollbar-width: thin;
    /* auto | thin | none */
    scrollbar-color: #13357B #eef1f7;
}


#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}

/*** Spinner End ***/

.back-to-top {
    position: fixed;
    right: 30px;
    bottom: 30px;
    display: flex;
    width: 45px;
    height: 45px;
    align-items: center;
    justify-content: center;
    transition: 0.5s;
    z-index: 99;
}

/*** Button Start ***/
.btn {
    font-weight: 600;
    transition: .5s;
}

.btn-square {
    width: 32px;
    height: 32px;
}

.btn-sm-square {
    width: 34px;
    height: 34px;
}

.btn-md-square {
    width: 44px;
    height: 44px;
}

.btn-lg-square {
    width: 56px;
    height: 56px;
}

.btn-square,
.btn-sm-square,
.btn-md-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
    border-radius: 50%;
}

.btn.btn-primary {
    box-shadow: inset 0 0 0 0 var(--bs-primary);
}

.btn.btn-primary:hover {
    box-shadow: inset 300px 0 0 0 var(--bs-light) !important;
    color: var(--bs-primary) !important;
}

.btn.btn-light {
    box-shadow: inset 0 0 0 0 var(--bs-primary);
}

.btn.btn-light:hover {
    box-shadow: inset 300px 0 0 0 var(--bs-primary);
    color: var(--bs-light) !important;
}

.btn-hover {
    transition: 0.5s;
}

.btn-hover:hover {
    color: var(--bs-secondary) !important;
}

/*** Section Title Start ***/
.section-title {
    position: relative;
    display: inline-block;
    font-family: "Exo";
    text-transform: uppercase;
    font-family: 'Exo' !important;
    color: var(--bs-primary);
}

.paket-img {
    width: 100%;
    height: 400px;
    /* 🔥 semua gambar sama tinggi */
    object-fit: cover;
    /* potong rapi tanpa gepeng */
    object-position: center;
}

.section-title::before {
    content: "";
    width: 50px;
    position: absolute;
    top: 50%;
    font-family: 'Exo' !important;
    right: 0;
    transform: translateY(-50%);
    margin-right: -50px;
    border: 1px solid var(--bs-primary) !important;
}

.section-title::after {
    content: "";
    width: 50px;
    position: absolute;
    top: 50%;
    left: 0;
    font-family: 'Exo' !important;
    transform: translateY(-50%);
    margin-left: -50px;
    border: 1px solid var(--bs-primary) !important;
}


/*** Topbar Start ***/
.fixed-top .container {
    transition: 0.5s;
}

.topbar {
    padding: 2px 10px 2px 20px;
    background: var(--bs-primary) !important;
}

.topbar a,
.topbar a i {
    transition: 0.5s;
}

.topbar a:hover,
.topbar a i:hover {
    color: var(--bs-secondary) !important;
}


@media (max-width: 768px) {
    .topbar {
        display: none;
    }
}

/*** Topbar End ***/


/*** Navbar ***/
.navbar-light .navbar-nav .nav-link {
    font-family: 'Roboto', sans-serif;
    position: relative;
    padding: 35px 15px;
    color: var(--bs-white) !important;
    font-size: 17px;
    font-weight: 400;
    outline: none;
    transition: .5s;
}

.sticky-top.navbar-light .navbar-nav .nav-link {
    padding: 20px 15px;
    color: var(--bs-dark) !important;
}

.navbar-light .navbar-nav .nav-link:hover,
.navbar-light .navbar-nav .nav-link.active {
    color: var(--bs-white) !important;
}

.navbar-light .navbar-brand h1 {
    color: var(--bs-white);
}

.sticky-top.navbar-light .navbar-brand h1 {
    color: var(--bs-primary);
}

.navbar-light .navbar-brand img {
    max-height: 60px;
    transition: .5s;
}

.sticky-top.navbar-light .navbar-brand img {
    max-height: 45px;
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

@media (min-width: 1200px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        visibility: hidden;
        top: 100%;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
        border: 0;
        border-radius: 10px;
        transition: .5s;
        opacity: 0;
    }
}

.dropdown .dropdown-menu a:hover {
    background: var(--bs-primary);
    color: var(--bs-white);
}

.navbar .nav-item:hover .dropdown-menu {
    transform: rotateX(0deg);
    visibility: visible;
    background: var(--bs-light);
    transition: .5s;
    opacity: 1;
}

@media (max-width: 991.98px) {
    .sticky-top.navbar-light {
        position: relative;
        background: var(--bs-white);
    }

    .navbar-light .navbar-brand h1 {
        color: var(--bs-primary);
    }

    .navbar.navbar-expand-lg .navbar-toggler {
        padding: 10px 20px;
        border: 1px solid var(--bs-primary);
        color: var(--bs-primary);
    }

    .navbar-light .navbar-collapse {
        margin-top: 15px;
        border-top: 1px solid #DDDDDD;
    }

    .navbar-light .navbar-nav .nav-link,
    .sticky-top.navbar-light .navbar-nav .nav-link {
        padding: 10px 0;
        color: var(--bs-dark) !important;
    }

    .navbar-light .navbar-nav .nav-link:hover,
    .navbar-light .navbar-nav .nav-link.active {
        color: var(--bs-primary) !important;
    }

    .navbar-light .navbar-brand img {
        max-height: 45px;
    }
}

@media (min-width: 992px) {
    .navbar-light {
        position: absolute;
        width: 100%;
        top: 0;
        left: 0;
        border-bottom: 1px solid rgba(255, 255, 255, .1);
        z-index: 999;
    }

    .sticky-top.navbar-light {
        position: fixed;
        background: var(--bs-light);
    }

    .navbar-light .navbar-nav .nav-link::before {
        position: absolute;
        content: "";
        width: 100%;
        height: 0;
        bottom: -1px;
        left: 0;
        background: var(--bs-primary);
        transition: .5s;
        z-index: -1;
    }

    .navbar-light .navbar-nav .nav-link:hover::before,
    .navbar-light .navbar-nav .nav-link.active::before {
        height: calc(100% + 1px);
        left: 1px;
    }

    .navbar-light .navbar-nav .nav-link.nav-contact::before {
        display: none;
    }
}

/*** Carousel Hero Header Start ***/
.carousel-header .carousel-control-prev,
.carousel-header .carousel-control-next {
    background: transparent;
}

.carousel-header .carousel-control-prev .carousel-control-prev-icon {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    padding: 25px 30px;
    border-top-left-radius: 0;
    border-top-right-radius: 50px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 50px;
    background-size: 60% 60%;
}

.carousel-header .carousel-control-next .carousel-control-next-icon {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    padding: 25px 30px;
    border-top-left-radius: 50px;
    border-top-right-radius: 0;
    border-bottom-left-radius: 50px;
    border-bottom-right-radius: 0;
    background-size: 60% 60%;

}

.carousel-header .carousel .carousel-indicators li,
.carousel-header .carousel .carousel-indicators li,
.carousel-header .carousel .carousel-indicators li {
    opacity: 0;
}

.carousel-header .carousel-inner .carousel-item {
    position: relative;
    min-height: 100vh
}

.carousel-header .carousel-inner .carousel-item img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.carousel-header .carousel-inner .carousel-item .carousel-caption {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    padding-top: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background: linear-gradient(rgb(0 0 0 / 33%), rgb(0 0 0 / 19%));
    background-size: cover;
}

@media (max-width: 768px) {

    .carousel-header .carousel-inner .carousel-item img,
    .carousel-header .carousel-inner .carousel-item .carousel-caption {
        height: 700px;
        margin-top: -100px;
    }

    .carousel-header {
        height: 700px !important;
    }

    .carousel-header .carousel-control-prev .carousel-control-prev-icon,
    .carousel-header .carousel-control-next .carousel-control-next-icon {
        opacity: 0;
    }

    .search-bar {
        margin-top: -100px;
        transition: 0.5s;
    }
}

/*** Carousel Hero Header End ***/

.content-box img {
    max-width: 100%;
    height: auto;
}

/* ===== DATATABLE ELEGANT STYLE ===== */
/* Table container */
.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter {
    margin-bottom: 15px;
}

/* Search box */
.dataTables_wrapper .dataTables_filter input {
    border: 1px solid #ced4da;
    border-radius: 10px;
    padding: 6px 12px;
    margin-left: 8px;
    transition: all .3s ease;
}

.dataTables_wrapper .dataTables_filter input:focus {
    border-color: #4e73df;
    box-shadow: 0 0 0 0.15rem rgba(78, 115, 223, 0.25);
}

/* Dropdown length */
.dataTables_wrapper .dataTables_length select {
    border-radius: 10px;
    padding: 5px 10px;
}

/* Rounded table */
table.dataTable {
    border-radius: 14px !important;
    overflow: hidden;
}

/* Pagination */
.dataTables_wrapper .dataTables_paginate .paginate_button.current {
    background: #4e73df !important;
    color: #fff !important;
    border: none;
}

/* Info text */
.dataTables_wrapper .dataTables_info {
    margin-top: 15px;
    font-size: 14px;
}

/* Search & length label */
.dataTables_wrapper .dataTables_filter label,
.dataTables_wrapper .dataTables_length label {
    font-weight: 600;
}

.modal-header-elegant {
    background: linear-gradient(135deg, #13357b, #224abe);
    color: white;
    padding: 22px;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
}

.detail-label {
    font-weight: 600;
    color: #13357b;
    font-size: 14px;
    margin-bottom: 2px;
}

.detail-box {
    background: #f8f9fc;
    padding: 5px 13px;
    border-radius: 8px;
    border-left: 3px solid #13357b;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
    margin-bottom: 18px;
}

.modal-elegant {
    border-radius: 12px !important;
    overflow: hidden;
}

.section-title {
    font-weight: 700;
    font-size: 18px;
    margin-top: 10px;
    color: #224abe;
}

.icon-badge {
    font-size: 30px;
    color: #13357b;
    opacity: .8;
}

.stat-card {
    border-radius: 18px;
    padding: 22px;
    color: #fff;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.15);
    transition: transform .2s ease, box-shadow .2s ease;
    position: relative;
    overflow: hidden;
}

.stat-card:hover {
    transform: translateY(-6px);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.20);
}

.stat-icon {
    position: absolute;
    right: 8px;
    bottom: 27px;
    font-size: 59px;
    opacity: 0.4;
}

/* ===== DATATABLE ELEGANT STYLE ===== */
/* Table container */
.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter {
    margin-bottom: 15px;
}

/* Search box */
.dataTables_wrapper .dataTables_filter input {
    border: 1px solid #ced4da;
    border-radius: 10px;
    padding: 6px 12px;
    margin-left: 8px;
    transition: all .3s ease;
}

.dataTables_wrapper .dataTables_filter input:focus {
    border-color: #4e73df;
    box-shadow: 0 0 0 0.15rem rgba(78, 115, 223, 0.25);
}

/* Dropdown length */
.dataTables_wrapper .dataTables_length select {
    border-radius: 10px;
    padding: 5px 10px;
}

#bookingTable tbody tr:hover {
    background: #b1f5c888 !important;
    /* transform: scale(1.01); */
}

/* Table cells */
#bookingTable tbody td {
    padding: 12px 14px;
    vertical-align: middle;
}

/* Rounded table */
table.dataTable {
    border-radius: 14px !important;
    overflow: hidden;
}

/* Pagination */
.dataTables_wrapper .dataTables_paginate .paginate_button.current {
    background: #4e73df !important;
    color: #fff !important;
    border: none;
}

/* Info text */
.dataTables_wrapper .dataTables_info {
    margin-top: 15px;
    font-size: 14px;
}

/* Search & length label */
.dataTables_wrapper .dataTables_filter label,
.dataTables_wrapper .dataTables_length label {
    font-weight: 600;
}

.modal-header-elegant {
    background: linear-gradient(135deg, #13357b, #224abe);
    color: white;
    padding: 22px;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
}

.detail-label {
    font-weight: 600;
    color: #13357b;
    font-size: 14px;
    margin-bottom: 2px;
}

.detail-box {
    background: #f8f9fc;
    padding: 5px 13px;
    border-radius: 8px;
    border-left: 3px solid #13357b;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
    margin-bottom: 18px;
}

.modal-elegant {
    border-radius: 12px !important;
    overflow: hidden;
}

.section-title {
    font-weight: 700;
    font-size: 18px;
    margin-top: 10px;
    color: #224abe;
}

.icon-badge {
    font-size: 30px;
    color: #13357b;
    opacity: .8;
}

.content-box iframe {
    max-width: 100%;
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
}

table,
th,
td {
    /* border: .6px solid #4d4949 !important; */
    border-collapse: collapse !important;
}

th,
td {
    padding: 6px !important;
}

.content-box embed[type="application/pdf"],
.content-box object[type="application/pdf"] {
    width: 100%;
    height: 600px;
}

/*** Single Page Hero Header Start ***/
.bg-breadcrumb {
    background: linear-gradient(rgb(19 53 123 / 10%), rgb(19 53 123 / 7%)), url(../img/breadcrumb-bg.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    padding:130px 0 30px 0;
    border-radius: 0 0 10px 10px;
}

.bg-breadcrumb .breadcrumb-item a {
    color: var(--bs-secondary) !important;
}

/*** Single Page Hero Header End ***/


/*** About Start ***/
.about .container .section-about-title {
    position: relative;
    display: inline-block;
    text-transform: uppercase;
    color: var(--bs-primary);
    font-family: 'Exo';
}

.about .container .section-about-title::before {
    content: "";
    width: 50px;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    margin-right: -50px;
    font-family: 'Exo';
    border: 1px solid var(--bs-primary) !important;
}

/*** About End ***/


/*** Services Start ***/
.service .service-content-inner {
    transition: 0.5s;
}

.service .service-content-inner:hover {
    position: relative;
    background: var(--bs-primary) !important;
}

.service .service-content-inner .service-content h5,
.service .service-content-inner .service-content p,
.service .service-content-inner .service-icon i {
    transition: 0.5s;
}

.service .service-content-inner:hover .service-content h5,
.service .service-content-inner:hover .service-content p,
.service .service-content-inner:hover .service-icon i {
    color: var(--bs-white) !important;
}

/*** Service End ***/


/*** Blog Start ***/
.blog .blog-item .blog-img {
    position: relative;
}

.blog .blog-item .blog-img .blog-info {
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 0;
    display: flex;
    background: rgba(255, 255, 255, .2);
    color: var(--bs-white);
}

.blog .blog-item .blog-img .blog-img-inner {
    position: relative;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
}

.blog .blog-item .blog-img .blog-img-inner .blog-icon {
    position: absolute;
    width: 100%;
    height: 0;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.5s;
}

.blog .blog-item .blog-img .blog-img-inner .blog-icon a {
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: 0.5s;
}

.blog .blog-item .blog-img:hover .blog-img-inner .blog-icon a {
    opacity: 1;
}

.blog .blog-item .blog-img:hover .blog-img-inner .blog-icon {
    height: 100%;
    background: rgba(19, 53, 123, .6);
    opacity: 1;
}

.blog .blog-item .blog-img .blog-img-inner {
    overflow: hidden;
}

.blog .blog-item .blog-img .blog-img-inner img {
    transition: 0.5s;
}

.blog .blog-item .blog-img:hover .blog-img-inner img {
    transform: scale(1.2);
}

/*** Blog End ***/

/*** Contact Start ***/
.contact .container form .btn.btn-primary {
    box-shadow: inset 0 0 0 0 var(--bs-primary);
}

.contact .container form .btn.btn-primary:hover {
    box-shadow: inset 1000px 0 0 0 var(--bs-light) !important;
    color: var(--bs-primary) !important;
}

/*** Contact End ***/

/*** Subscribe Start ***/
.subscribe {
    background: linear-gradient(rgba(19, 53, 123, .6), rgba(19, 53, 123, .6)), url(../img/subscribe-img.jpg);
    background-attachment: fixed;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.subscribe .subscribe-title {
    position: relative;
    display: inline-block;
    text-transform: uppercase;
    color: var(--bs-white);
}

.subscribe .subscribe-title::before {
    content: "";
    width: 50px;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    margin-right: -50px;
    border: 1px solid var(--bs-white) !important;
}

.subscribe .subscribe-title::after {
    content: "";
    width: 50px;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    margin-left: -50px;
    border: 1px solid var(--bs-white) !important;
}

/*** Subscribe End ***/

/*** Footer Start ***/
.footer {
    background: var(--bs-dark);
}

.footer .footer-item a {
    line-height: 30px;
    color: var(--bs-white);
    transition: 0.5s;
}

.footer .footer-item a:hover {
    letter-spacing: 2px;
    color: var(--bs-primary);
}

/*** Footer End ***/

/*** copyright Start ***/
.copyright {
    border-top: 1px solid rgba(255, 255, 255, 0.08);
    background: var(--bs-dark) !important;
}

/*** copyright end ***/
